Jump to content

tinker456

Members
  • Content Count

    7
  • Joined

  • Last visited

Community Reputation

0 Neutral
  1. Hi, I am using Wifi extension 2.0 and I have been experiencing some connectivity issues. I have only three things that connect to it. Two python scripts and MQTT bindings. MQTT binding and one of the python scrips are always connected and running. Second python scrip is being executed every minute where it samples accelerometer data until it has a required bin size for FFT and then it finishes. I have disconnected functions implemented before exit in every script. They all run only on callbacks. So, it seems that "brick Daemon" within wifi extensions stops taking new connections in. For example, MQTT binding script is running and working fine but any new connections is being timed out, even with the brick viewer it times out and if I would choose to stop MQTT binding script and restart even that one wouldn't connect again. The only solutions is to power cycle the brick stack. Also, I am using Step-Down Power Supply. Or another example, I thought problem was with MQTT bindings script. I stopped it. And was only using brick viewer and on the side testing some javascript API. At some point javascrip would stop working, all new connections would timeout but brick viewer is still running and receiving sensor data but if I disconnect and try to connect again it puts me to timeout. Or sometimes I am running MQTT bindings only and then try to connect brick viewer and it would crash everything, meaning MQTT bidings would also just stop running and no more new connections accepted. Previously I used RedBrick with USB wifi dongle but I had some issues with signal strength so I switched to WiFi extensions, previously I cannot recall having similar issues and the brick stack is running for over the year, all bricks and bricklets have the newest firmware. Not sure what is the issue or how should I try to fix it. Maybe I am doing some bad practices on implementation. But I think I disconnect always when I stop using it. But if it reaches max limit of connections eventually it should timeout the olds ones and still let the new ones in? It never restores tho, after being stuck I can check the next day and it's still stuck. Only power cycle helps. Anyways, thanks for reading this long message and any help is much appreciated. Thanks
  2. I will be looking into this. Got to estimate which approach would take less time. Thank you.
  3. Hello, I have been using Accelerometer 2.0 bricklet and now I want to build a small remote node for more testing and instead of designing my own KX122 breakout board I would like to reuse Accel 2.0 bricklet. So, as my master I would be using ESP32 board and via short cable connect to the bricklet which would be mounted on the equipment. Could someone guide my on what should I be including in my ESP32 firmware in order to talk to accelerometer 2.0 bricklet? Thank you
  4. Hello, I would like to ask if there is a plan to make a quadrature encoder bricklet? Since, we have a many bricklets that could be used for motion control or any industrial automations. But I keep missing quadrature encoder bricklet that could host encoders like AMT102. I currently tried using IO bricklets and tie it to interrupts but for higher precision it's not enough. Thanks
  5. Cables and brick connectors were fine. Turns out it was USB hub, connecting directly to my laptop it works just fine. Thanks!
  6. But my Brick Viewer is already at the latest version 2.3.15
  7. Hi, I have downloaded the latest RED brick image and Brick Viewer. Got RED image on a 8GB SD card. RED Brick keeps resetting on a viewer, I can't connect to it properly and upload any programs, because it keeps resetting before I am able to finish the upload. And if I try to run a python example just to read linear pot values most of the times I get error python3 Red_brick_pot_test_1.py Traceback (most recent call last): File "/home/soso/Projects/MotionControl/env/lib/python3.5/site-packages/tinkerforge/ip_connection.py", line 1164, in send_request response = device.response_queue.get(True, self.timeout) File "/usr/lib/python3.5/queue.py", line 172, in get raise Empty queue.Empty During handling of the above exception, another exception occurred: Traceback (most recent call last): File "Red_brick_pot_test_1.py", line 28, in <module> lp.set_position_callback_period(50) File "/home/soso/Projects/MotionControl/env/lib/python3.5/site-packages/tinkerforge/bricklet_linear_poti.py", line 127, in set_position_callback_period self.ipcon.send_request(self, BrickletLinearPoti.FUNCTION_SET_POSITION_CALLBACK_PERIOD, (period,), 'I', '') File "/home/soso/Projects/MotionControl/env/lib/python3.5/site-packages/tinkerforge/ip_connection.py", line 1173, in send_request raise Error(Error.TIMEOUT, msg) tinkerforge.ip_connection.Error: Did not receive response for function 3 in time (-1) And sometimes it just works. When I connect via USB to Master Brick, I never have any issues by accessing bricklets etc. I am running ubuntu 16.04. Could anyone help me identify and fix the problem?
×
×
  • Create New...